html {
    margin: 0;
    padding: 0;
}

body {
    margin: 0;
    padding: 0;
}

header img {
    width: 150px;
    object-fit: contain;
}

.dev-card-image {
    width: 100px;
}

.dev-card-icons {
    width: 20px;
}

.dev-card-button {
    border: none;
    background-color: white;
}

.dev-card-width {
    width: 20%;
}

.dev-index-image-trick {
    width: 100%;
    position: relative;
}

.dev-index-image-trick img {
    width: 100%;

}

.dev-index-image-trick a {
    position: absolute;
    font-size: 2em;
    bottom: 1%;
    right: 1%;
}

.arrow-up {
    width: 100%;
    position: relative;
}

.arrow-up a {
    position: absolute;
    font-size: 2em;
    bottom: 1%;
    right: 1%;
}

.dev-one-trick {
    width: 1200px;
    max-width: 70%;
    height: auto;
    margin: -300px auto auto;
    position: relative;
    border: 1px solid black;
}

.dev-one-trick-main-image {
    width: 100%;
    height: 500px;
    object-fit: cover;
}

.dev-one-trick-icons {
    position: absolute;
    top:1%;
    right:2%;
    background-color: white;
    border: 1px solid black;
}

.dev-one-trick-name {
    position: absolute;
    top: 250px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.dev-one-trick-name-style {
    background-color: white;
    padding: 10px;
    border: 1px solid black;
}

.dev-one-trick-icons button {
    background: none;
}

.dev-one-trick-image-related {
    width: 200px;
    height: 200px;
    object-fit: contain;
}

.dev-one-trick-tags {
    border: 1px solid black;
    text-align: center;
    width: auto;
}

.comment-user-img {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 25px;
}

.comment-user-message {
    width: 90%;
    height: auto;
    border: 1px solid black;
    padding: 10px 5px;
}

.alert {
    position: absolute;
    top: 50px;
    right: 0;
    left: 0;
    margin: auto;
    width: 400px;
    text-align: center;
    height: auto;

}

.alert-success {
    background-color: #B0F2B6;
}

.alert-error {
    background-color: #FFB4BF;
}

.alert-warning {
    background-color: #FBAA99;
}

.temporary {
    animation: fadeout 8s;
}

.media-slider-button {
    height: 30px;
    width: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.media-image {
    width: 200px;
    height: 200px;
    object-fit: cover;
}

@keyframes fadeout {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

.responsive-display {
    display: none!important;
}

.confirmDelete {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 200px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

#confirmDelete-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 50%;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

@keyframes animatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

@media screen and (max-width: 992px) {

    .responsive-display {
        display: block!important;
    }

    .responsive-desktop {
        display: none!important;
    }

    .dev-card-width {
        width: 50%;
    }

    .dev-one-trick {
        width: 70%;
        max-width: none;
    }
}

@media screen and (max-width: 768px) {
    .dev-card-width {
        width: 100%;
    }

    .dev-one-trick {
        width: 90%;
        background-color: pink;
        max-width: none;
    }
}
